/* ---------------------------------------------------
Typography
--------------------------------------------------- */

/* @font-face {
  font-family: "Source Sans Pro";
  src: url("/wp-content/themes/adtrak-tailwind-twig-timber/_resources/fonts/SourceSansPro-Regular.ttf")
    format("truetype");
  font-display: swap;
  font-weight: 300;
  font-style: normal;
}

@font-face {
  font-family: "Source Sans Pro";
  src: url("/wp-content/themes/adtrak-tailwind-twig-timber/_resources/fonts/SourceSansPro-Bold.ttf")
    format("truetype");
  font-display: swap;
  font-weight: 700;
  font-style: bold;
} */

/* Headings */

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  @apply mb-4 font-bold leading-snug;
}

h1 {
  @apply text-3xl;
}

h2 {
  @apply text-2xl;
}

h3 {
  @apply text-xl;
}

/* Copy */

.copy {
  > p {
    @apply mb-6 leading-relaxed;
  }

  a {
    @apply inline-block text-primary;

    &:hover {
      @apply underline;
    }
  }

  ol,
  ul {
    @apply pl-4 mb-8;

    li {
      @apply mb-2 leading-relaxed;
    }
  }

  ul {
    li {
      @apply list-disc;
    }
  }

  ol {
    li {
      @apply list-decimal;
    }
  }

  blockquote {
    @apply p-4 mb-8 bg-gray-100;
  }
}

@screen md {
  .copy {
    img {
      @apply w-auto;
    }

    .alignleft {
      @apply float-left mt-1 mb-1 mr-1;
    }

    .aligncenter {
      @apply float-none mx-auto my-0;
    }

    .alignright {
      @apply float-right mt-1 mb-1 ml-1;
    }
  }
}
